## BitchX-1.2.1-2019.tar.gz

=== Makefile ===
CC=gcc
CFLAGS=-Wall
LIBS=-lutil

ifeq ($(shell uname -s),FreeBSD)
	CFLAGS+= -I/usr/local/include
	LIBS+= -L/usr/local/lib -liconv
endif

cp437: cp437.c
	$(CC) $(CFLAGS) $(LIBS) -o $@ $<

clean:
	rm -f cp437

=== debian/changelog ===
bitchx (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Kevin Easton <caf@bitchx.org>  Mon, 25 Jul 2016 22:51:22 +1000

bitchx (1.2c01-svn-1) unstable; urgency=low

  * Initial release

 -- Nye Liu <nyet@nyet.org>  Thu, 10 May 2012 19:03:28 -0800

=== debian/control ===
Source: bitchx
Section: net
Priority: optional
Maintainer: Nye Liu <nyet@nyet.org>
Build-Depends: debhelper (>= 8.0.0), libncurses5-dev, libssl-dev
Standards-Version: 3.9.2
Homepage: https://sourceforge.net/projects/bitchx/
#Vcs-Git: git://git.debian.org/collab-maint/bitchx.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bitchx.git;a=summary

Package: bitchx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: terminal based IRC client
 BitchX (ircii-pana) is a terminal based IRC client for UNIX systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --enable-ipv6 --with-ssl --with-plugins

override_dh_compress:
	dh_compress --exclude=.bz2
	
%:
	dh $@ --builddirectory=build
